<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotFeedbackMessage\SideBySideSurveyMetadata\SidebySideSurveyMetaAiAnalyticsData;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SideBySideSurveyResponseEventData extends \Google\Protobuf\Internal\Message
{
    


    protected $responseDwellTimeMsString = null;
    


    protected $selectedResponseId = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getResponseDwellTimeMsString()
    {
        return isset($this->responseDwellTimeMsString) ? $this->responseDwellTimeMsString : '';
    }

    public function hasResponseDwellTimeMsString()
    {
        return isset($this->responseDwellTimeMsString);
    }

    public function clearResponseDwellTimeMsString()
    {
        unset($this->responseDwellTimeMsString);
    }

    




    public function setResponseDwellTimeMsString($var)
    {
        GPBUtil::checkString($var, True);
        $this->responseDwellTimeMsString = $var;

        return $this;
    }

    



    public function getSelectedResponseId()
    {
        return isset($this->selectedResponseId) ? $this->selectedResponseId : '';
    }

    public function hasSelectedResponseId()
    {
        return isset($this->selectedResponseId);
    }

    public function clearSelectedResponseId()
    {
        unset($this->selectedResponseId);
    }

    




    public function setSelectedResponseId($var)
    {
        GPBUtil::checkString($var, True);
        $this->selectedResponseId = $var;

        return $this;
    }

}

